// This stops the main definintion in the sub suites
#define MAINTEST

#include "munit/munit.h"

#include "config.test.c"
#ifndef REQUESTRESPONSE_C
#define REQUESTRESPONSE_C value
#include "requestresponse.test.c"
#endif /* ifndef REQUESTRESPONSE_C */
#include "request.test.c"
#include "response.test.c"
#include <string.h>
#include <stdio.h>




int main (int argc, char* argv[]) {

	MunitSuite all_suites[] = {
		config_test_suite,
		request_test_suite,
		response_test_suite,
		requestresponse_test_suite,
		{ NULL, NULL, NULL, 0, MUNIT_SUITE_OPTION_NONE }
	};

	MunitSuite all_test_suite = {
		"", /* name */
		NULL, /* tests */
		all_suites, /* suites */
		1, /* iterations */
		MUNIT_SUITE_OPTION_NONE /* options */
	};

	return munit_suite_main(&all_test_suite, NULL, argc, argv);
}
